POST https://api.cryptohopper.com/v1/hopper/{id}/startbalance

Sets the start balance of the hopper in its base currency. The value must be higher than 0.

OAuth scope: manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/startbalance" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"start_balance":1000}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Start balance has been updated."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.